Skip to main content
GET
/
organisations
/
{id}
/
payment-account
/
status
Get payment account status
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/organisations/{id}/payment-account/status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "<string>",
  "capabilities": {
    "chargesEnabled": true,
    "payoutsEnabled": true,
    "detailsSubmitted": true,
    "currentlyDue": [
      "<string>"
    ],
    "pastDue": [
      "<string>"
    ],
    "disabledReason": "<string>"
  },
  "enabledAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Response

OK

organisationId
string<uuid>
provider
null | any
Available options:
Stripe,
Manual,
null
accountId
null | string
status
enum<string>
Available options:
NotStarted,
OnboardingInProgress,
Active,
Restricted,
Rejected,
Disconnected
capabilities
object
enabledAt
null | string<date-time>